cascading.flow.planner

## Class ElementGraphException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.flow.FlowException
          - - cascading.flow.planner.ElementGraphException

- All Implemented Interfaces:
    Serializable

      public class ElementGraphException
      extends FlowException

  Class ElementGraphException is thrown during rendering of a pipe assembly to the Cascading internal "graph" representation.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementGraphException()` Constructor ElementGraphException creates a new ElementGraphException instance.
    `ElementGraphException(FlowElement flowElement, String message)` Constructor ElementGraphException creates a new ElementGraphException instance.
    `ElementGraphException(FlowElement flowElement, String message, Throwable throwable)` Constructor ElementGraphException creates a new ElementGraphException instance.
    `ElementGraphException(Pipe pipe, String message)`
    `ElementGraphException(String string)` Constructor ElementGraphException creates a new ElementGraphException instance.
    `ElementGraphException(String string, Throwable throwable)` Constructor ElementGraphException creates a new ElementGraphException instance.
    `ElementGraphException(Tap tap, String message)`
    `ElementGraphException(Throwable throwable)` Constructor ElementGraphException creates a new ElementGraphException instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowElement` | `getFlowElement()` Method getFlowElement returns the flowElement of this ElementGraphException object.

    - ### Methods inherited from class cascading.flow.FlowException

      `getFlowName`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementGraphException

          public ElementGraphException()

      Constructor ElementGraphException creates a new ElementGraphException instance.

    - #### ElementGraphException

          public ElementGraphException(Pipe pipe,
                               String message)

    - #### ElementGraphException

          public ElementGraphException(Tap tap,
                               String message)

    - #### ElementGraphException

          public ElementGraphException(FlowElement flowElement,
                               String message)

      Constructor ElementGraphException creates a new ElementGraphException instance.
      Parameters:
        `flowElement` - of type FlowElement
        `message` - of type String

    - #### ElementGraphException

          public ElementGraphException(FlowElement flowElement,
                               String message,
                               Throwable throwable)

      Constructor ElementGraphException creates a new ElementGraphException instance.
      Parameters:
        `flowElement` - of type FlowElement
        `message` - of type String
        `throwable` - of type Throwable

    - #### ElementGraphException

          public ElementGraphException(String string)

      Constructor ElementGraphException creates a new ElementGraphException instance.
      Parameters:
        `string` - of type String

    - #### ElementGraphException

          public ElementGraphException(String string,
                               Throwable throwable)

      Constructor ElementGraphException creates a new ElementGraphException instance.
      Parameters:
        `string` - of type String
        `throwable` - of type Throwable

    - #### ElementGraphException

          public ElementGraphException(Throwable throwable)

      Constructor ElementGraphException creates a new ElementGraphException instance.
      Parameters:
        `throwable` - of type Throwable

  - ### Method Detail

    - #### getFlowElement

          public FlowElement getFlowElement()

      Method getFlowElement returns the flowElement of this ElementGraphException object.
      Returns:
        the flowElement (type FlowElement) of this ElementGraphException object.

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.